低危 GNU PSPP 1.2.0 data/sys-file-writer.c write_long_string_missing_values() 拒绝服务漏洞

CVE编号

CVE-2019-9211

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-02-28
漏洞描述
GNU PSPP是一款用于数据采样、统计和分析的应用程序。
GNU PSPP 1.2.0版本中的libdata.a静态链接库的data/sys-file-writer.c文件的‘write_long_string_missing_values()’函数存在安全漏洞。攻击者可利用该漏洞造成拒绝服务。

解决建议
厂商尚未提供漏洞修复方案,请关注厂商主页更新:
https://www.gnu.org/software/pspp/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnu pspp 1.2.0 -
运行在以下环境
应用 suse backports - -
运行在以下环境
系统 debian_10 pspp * Up to
(including)
1.2.0-3
运行在以下环境
系统 debian_9 pspp * Up to
(including)
0.10.2-1
运行在以下环境
系统 fedora_29 pspp * Up to
(excluding)
1.2.0-2.fc29
运行在以下环境
系统 fedora_30 pspp * Up to
(excluding)
1.2.0-2.fc30
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-617 可达断言
阿里云安全产品覆盖情况